Browse Source

travis: exit on error in scripts

Atempt to fail fast when packages are not downloaded.
(Fail in Travis job number 2401.)


git-svn-id: https://svn.osgeo.org/grass/grass/trunk@71868 15284696-431f-4ddb-bdfa-cd5b030d7da7
Vaclav Petras 7 năm trước cách đây
mục cha
commit
fda0256dbc
3 tập tin đã thay đổi với 6 bổ sung0 xóa
  1. 2 0
      .travis/linux.before_install.sh
  2. 2 0
      .travis/linux.install.sh
  3. 2 0
      .travis/linux.script.sh

+ 2 - 0
.travis/linux.before_install.sh

@@ -1,6 +1,8 @@
 #!/usr/bin/env sh
 # Author: Ivan Mincik, ivan.mincik@gmail.com
 
+set -e
+
 # build dependencies
 sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable -y
 sudo apt-get update -qq

+ 2 - 0
.travis/linux.install.sh

@@ -1,6 +1,8 @@
 #!/usr/bin/env sh
 # Author: Ivan Mincik, ivan.mincik@gmail.com
 
+set -e
+
 sudo apt-get install --no-install-recommends \
     autoconf2.13 \
     autotools-dev \

+ 2 - 0
.travis/linux.script.sh

@@ -1,6 +1,8 @@
 #!/usr/bin/env sh
 # Author: Ivan Mincik, ivan.mincik@gmail.com
 
+set -e
+
 ./configure --host=x86_64-linux-gnu \
             --build=x86_64-linux-gnu \
             --prefix=/usr/lib \